让IE7,IE8支持html5属性

HTML5确实很好用,但是国内IE7和IE8的用户还是挺多的(或许是XP的缘故)。这些浏览器不识别HTML5的新属性以及<!doctype html>,导致页面渲染进入“怪异”模式,简直就是“不堪入目”。
不过,还好,开源的力量是强大的,有热心的开发者写了一套JS库来兼容IE7,IE8。本文就简单教大家用下这款JS库。

1.下载
2.解压之后得到html5shiv.js
3.开发模板

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Template</title>
<!--[if lt IE 9]>
<script src="http://cdn.bootcss.com/html5shiv/3.7.2/html5shiv.min.js"></script>
<script src="http://cdn.bootcss.com/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
<h1>你好,世界!</h1>
<script src="http://cdn.bootcss.com/jquery/1.11.1/jquery.min.js"></script>
</body>
</html>

使用这个库之后就可以正常开发啦。
题外话:IE系列好像是不太好兼容的。

评论

Your browser is out-of-date!

Update your browser to view this website correctly. Update my browser now

×